//+------------------------------------------------------------------+
//|                                                        Lines.mq4 |
//|                      Copyright  2009, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+

#property indicator_chart_window
#property indicator_buffers 8
#property indicator_color1 Aqua
#property indicator_color2 DodgerBlue
#property indicator_color3 RoyalBlue
#property indicator_color4 MediumBlue
#property indicator_color5 Purple
#property indicator_color6 MediumVioletRed
#property indicator_color7 PaleVioletRed
#property indicator_color8 Magenta
//-------    -------------------------------
extern double price=0.0;
extern double line1=100.0;
extern double line2=200.0;
extern double line3=300.0;
extern double line4=400.0;

//extern int delta=30;
//extern bool Notice=true;
//-------   ------------------------------------------
double r4[];
double r3[];
double r2[];
double r1[];
double s1[];
double s2[];
double s3[];
double s4[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init() {
  
  IndicatorShortName(" Lines");
  IndicatorDigits(Digits);    
  
  SetIndexBuffer(0, r4);
  SetIndexStyle (0, DRAW_LINE,2);
  SetIndexEmptyValue(0, EMPTY_VALUE);
  SetIndexLabel(0,"+"+line4 );
  
  SetIndexStyle(1,DRAW_LINE,2);
  SetIndexBuffer(1,r3);
  SetIndexEmptyValue(1, EMPTY_VALUE);
  SetIndexLabel(1,""+line3 );

  SetIndexBuffer(2, r2);
  SetIndexStyle (2, DRAW_LINE, 2);
  SetIndexEmptyValue(2, EMPTY_VALUE);
  SetIndexLabel(2,"+"+line2 );

  SetIndexBuffer(3, r1);
  SetIndexStyle (3, DRAW_LINE, 2);
  SetIndexEmptyValue(3, EMPTY_VALUE);
  SetIndexLabel(3,"+"+line1 );

  SetIndexBuffer(4, s1);
  SetIndexStyle (4, DRAW_LINE, 2);
  SetIndexEmptyValue(4, EMPTY_VALUE);
  SetIndexLabel(4,"-"+line1 );

  SetIndexBuffer(5, s2);
  SetIndexStyle (5, DRAW_LINE, 2);
  SetIndexEmptyValue(5, EMPTY_VALUE);
  SetIndexLabel(5,"-"+line2 );

  SetIndexBuffer(6, s3);
  SetIndexStyle (6, DRAW_LINE, 2);
  SetIndexEmptyValue(6, EMPTY_VALUE);
  SetIndexLabel(6,"-"+line3 );

  SetIndexBuffer(7, s4);
  SetIndexStyle (7, DRAW_LINE, 2);
  SetIndexEmptyValue(7, EMPTY_VALUE);
  SetIndexLabel(7,"-"+line4 );

  ObjectCreate("MF", OBJ_LABEL, 0, 0, 0);
  
//  Comment(""); 
}
int deinit()
  {
   ObjectDelete("MF");
   return(0);
  }
/*
void Beep(double Level)
  { 
    if (Bid<=Level+delta*Point && Bid>=Level-delta*Point && Notice==true && LastTime!=Time[0])
    {
      PlaySound("news.wav");            
      Print( TimeToStr(Time[0],TIME_SECONDS));
      LastTime = Time[0];        
    }      
  }
*/
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() {
  int    i;
   int limit;
   int    counted_bars=IndicatorCounted();
   if (counted_bars==0)   
      limit=Bars-1;
   if (counted_bars>0)      
      limit = Bars - counted_bars-1;
  for(i=limit;i>=0;i--)
  {  
   r4[i] = price + (line4 * Point);     
   r3[i] = price + (line3 * Point);
   r2[i] = price + (line2 * Point);
   r1[i] = price + (line1 * Point);

   s1[i] = price - (line1 * Point);
   s2[i] = price - (line2 * Point);
   s3[i] = price - (line3 * Point); 
   s4[i] = price - (line4 * Point);  
  } 
   string  Pa0 = "Price: "+DoubleToStr(price,4);
         ObjectSet("MF", OBJPROP_CORNER, 1);
         ObjectSet("MF", OBJPROP_XDISTANCE, 30);
         ObjectSet("MF", OBJPROP_YDISTANCE, 80);
         ObjectSetText("MF", Pa0, 10, "Verdana",Gold);
/*  Beep(r3[0]);
  Beep(r2[0]);
  Beep(r1[0]);
  Beep(pivot[0]);
  Beep(s1[0]);
  Beep(s2[0]);
  Beep(s3[0]);    */
   
}
 
//+------------------------------------------------------------------+

